Skip to main content
`Ctrl`+`K`

# DMMoabGetLocalSize

Get the local and ghosted vertex size used with this `DMMOAB`

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetLocalSize(DM dm, PetscInt *nel, PetscInt *neg, PetscInt *nvl, PetscInt *nvg)

Collective

## Input Parameter

- dm - The `DMMOAB` object being set

## Output Parameters

- nel - The number of owned elements in this processor

- neg - The number of ghosted elements in this processor

- nvl - The number of owned vertices in this processor

- nvg - The number of ghosted vertices in this processor

## See Also

`DMMOAB`, `DMMoabGetSize()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages